<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * formulario de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
	
?>

	<div class="m-t-30 m-b-30">
		<h4><?php echo etiqueta( 't_backup', 'Backups Generados' ) //. ' (Límite de descarga: ' . bytes2Mb( memory_get_peak_usage (true) ) . ')' ?></h4>
		<ul id="backup-lstr">
			Buscando backups generadas...
			<script> setTimeout("listar_backups()",3000); </script>
		</ul>
	</div>
	
	<form method="post" action="<?php echo com_base() ?>prcss.php">
		<input type="hidden" name="ac" value="backup_sitioweb">
		<fieldset>
			<legend><?php echo etiqueta( 'legend_backup_1', 'Copia de seguridad completa' ) ?></legend>
			<p><?php echo etiqueta( 'e_descripcion_backup_1', 'Una copia de seguridad completa crea una copia comprimida de todos los archivos y la configuración de su sitio webyplus. Puede utilizar este archivo para mover su cuenta a otro servidor o para copiar una copia local de sus archivos.' ); ?></p>
			<div align="right"><button type="button" onClick="esolbackup(this)"><?php echo etiqueta( 'b_backup_wy', 'Descargar copia de seguridad completa'); ?></button></div>
	
		</fieldset>
	</form>
	
	<form method="post" action="<?php echo com_base() ?>prcss.php">
		<input type="hidden" name="ac" value="backup_mysql">
		<fieldset class="m-t-40">
			<legend><?php echo etiqueta( 'legend_backup_2', 'Descargar una copia de seguridad de la base de datos MySQL' ) ?></legend>
			<p><?php echo etiqueta( 'e_descripcion_backup_2', 'Una copia de seguridad completa de tu base de datos se creará. Puede utilizar este archivo para mover su cuenta a otro servidor o para copiar una copia local de sus archivos.' ); ?></p>
			<div align="right"><button type="button" onClick="esolbackup(this)"><?php echo etiqueta( 'b_backup_sql', 'Descargar copia de seguridad completa MySQL' ); ?></button></div>
		</fieldset>
	</form>
	
	<script>
		esolbackup = function(e){
			f = e.form;
			
			var etiqueta = e.innerHTML;
			e.innerHTML = '<?php echo etiqueta( 'b_gen_backup', 'Generando backup...' ) ?>';
			e.disabled = true;
			
			MsjBox.mostrar( '<?php echo etiqueta( 'msj_backup_err_1', 'Este proceso puede tardar varios minutos...' ) ?>' );
			
			$y.ajax({
						url: f.action,
						metodo: f.method,
						data: $y.serialize(f),
						contenidoTipo: 'application/x-www-form-urlencoded',
						suceso: function(respuesta){ 
									if( respuesta == 1 ){
										 e.innerHTML = etiqueta;
										 e.disabled = false;
										 listar_backups();
									}
						}
			});
		}
		
		function listar_backups(){
				$y.ajax({
						url: '<?php echo com_base() ?>prcss.php',
						metodo: 'POST',
						data: 'ac=backup-listar&key=',
						contenidoTipo: 'application/x-www-form-urlencoded',
						suceso: function(respuesta){
										if( respuesta == 403 || respuesta == 404 ){
											$_('#backup-lstr').innerHTML = '<span>Error: ' + respuesta + '.</span>';
										} else {
											$_('#backup-lstr').innerHTML = respuesta;
										}
								}
				});
		}
	</script>